import type { Socket } from 'socket.io-client';
export declare class IO {
    instance: Socket;
    constructor();
    on(data: string, callback: (...args: any[]) => void): void;
    emit(type: string, data: any): void;
}
